# DataSourceDisplay

#### new Cesium.DataSourceDisplay(options)
DataSources/DataSourceDisplay.js 35

Visualizes a collection of `DataSource` instances.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The scene in which to display the data.
`dataSourceCollection` | DataSourceCollection |  | The data sources to display.
`visualizersCallback` | DataSourceDisplay.VisualizersCallback | `DataSourceDisplay.defaultVisualizersCallback` | optional A function which creates an array of visualizers used for visualization. If undefined, all standard visualizers are used.

### Members

#### dataSources : DataSourceCollection
DataSources/DataSourceDisplay.js 173

Gets the collection of data sources to display.

#### defaultDataSource : CustomDataSource
DataSources/DataSourceDisplay.js 186

Gets the default data source instance which can be used to manually create and visualize entities not tied to a specific data source. This instance is always available and does not appear in the list dataSources collection.

#### readonly ready : Boolean
DataSources/DataSourceDisplay.js 198

Gets a value indicating whether or not all entities in the data source are ready

#### scene : Scene
DataSources/DataSourceDisplay.js 163

Gets the scene associated with this display.

### Methods

#### static Cesium.DataSourceDisplay.defaultVisualizersCallback()
DataSources/DataSourceDisplay.js 129

Gets or sets the default function which creates an array of visualizers used for visualization. By default, this function uses all standard visualizers.

#### destroy()
DataSources/DataSourceDisplay.js 235

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    dataSourceDisplay = dataSourceDisplay.destroy();

##### See:

- DataSourceDisplay#isDestroyed

#### isDestroyed() → Boolean
DataSources/DataSourceDisplay.js 215

Returns true if this object was destroyed; otherwise, false.
If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

True if this object was destroyed; otherwise, false.

##### See:

- DataSourceDisplay#destroy

#### update(time) → Boolean
DataSources/DataSourceDisplay.js 264

Updates the display to the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The simulation time.

##### Returns:

True if all data sources are ready to be displayed, false otherwise.

### Type Definitions

#### Cesium.DataSourceDisplay.VisualizersCallback(scene, dataSource) → Array.<Visualizer>
DataSources/DataSourceDisplay.js 497

A function which creates an array of visualizers used for visualization.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene to create visualizers for.
`dataSource` | DataSource | The data source to create visualizers for.

##### Returns:

An array of visualizers used for visualization.

##### Example:

    function createVisualizers(scene, dataSource) {
        return [new Cesium.BillboardVisualizer(scene, dataSource.entities)];
    }